# PyMathCompute
---

**PyMathCompute** is a Python tool designed to handle mathematical variables, create and evaluate mathematical expressions, and perform various mathematical optimizations. This library is ideal for those working in applied mathematics, optimization, and related fields.

## Features

- **Variable**: Defines mathematical variables with lower and upper bounds.
- **MathExpression**: Creates and evaluates mathematical expressions using defined variables.
- **Mathematical Operations**: Supports addition, subtraction, multiplication, and exponentiation of variables and expressions.
- **Special mathematical operations**: Also allow us to interact with special operators such as e, sin, cos and others.

## Installation

You can install PyMathCompute using pip:

```bash
pip install pymath_compute
```

## Future Plans

In future versions, we plan to add:

- Mathematical optimization methods like Newton's method.
- Molecular dynamics solvers.
- Computational derivatives and other advanced calculus tools.

## Contributions

Contributions are welcome. If you have suggestions, bug reports, or improvements to propose, please open an issue or a pull request on our GitHub repository.

## License

This project is licensed under the MIT License - see the [LICENSE](https://github.com/ricardoleal20/pymath_compute/blob/main/LICENSE) file for details.
